SaveEvent (gCube GIS Viewer Widget 2.5.0-SNAPSHOT API)
Date: 2015-07-21

org.gcube.portlets.user.gcubegisviewer.client.event

## Class SaveEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<SaveHandler>
    - - org.gcube.portlets.user.gcubegisviewer.client.event.SaveEvent

-     public class SaveEvent
      extends com.google.gwt.event.shared.GwtEvent<SaveHandler>

  Author:
    Federico De Faveri defaveri@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SaveEvent.EventType`

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `contentType`
    `protected Throwable` | `failureCause`
    `protected String` | `name`
    `protected SaveEvent.EventType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveEvent(SaveEvent.EventType type, String name, String contentType, Throwable failureCause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SaveHandler handler)`
    `static void` | `fireSave(HasSaveHandlers source, String name, String contentType)` Fires a save event on all registered handlers in the handler manager.
    `static void` | `fireSaveFailure(HasSaveHandlers source, String name, String contentType, Throwable failureCause)`
    `static void` | `fireSaveSuccess(HasSaveHandlers source, String name, String contentType)`
    `com.google.gwt.event.shared.GwtEvent.Type<SaveHandler>` | `getAssociatedType()`
    `String` | `getContentType()`
    `Throwable` | `getFailureCause()`
    `String` | `getName()`
    `static com.google.gwt.event.shared.GwtEvent.Type<SaveHandler>` | `getType()` Gets the type associated with this event.
    `String` | `toString()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected SaveEvent.EventType type

    - #### name

          protected String name

    - #### contentType

          protected String contentType

    - #### failureCause

          protected Throwable failureCause

  - ### Constructor Detail

    - #### SaveEvent

          public SaveEvent(SaveEvent.EventType type,
                   String name,
                   String contentType,
                   Throwable failureCause)

      Parameters:
        `type` -
        `name` -
        `contentType` -
        `url` -
        `failureCause` -

  - ### Method Detail

    - #### fireSave

          public static void fireSave(HasSaveHandlers source,
                      String name,
                      String contentType)

      Fires a save event on all registered handlers in the handler manager.
      Parameters:
        `source` - the source of the handlers

    - #### fireSaveSuccess

          public static void fireSaveSuccess(HasSaveHandlers source,
                             String name,
                             String contentType)

    - #### fireSaveFailure

          public static void fireSaveFailure(HasSaveHandlers source,
                             String name,
                             String contentType,
                             Throwable failureCause)

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<SaveHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SaveHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SaveHandler>`

    - #### dispatch

          protected void dispatch(SaveHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SaveHandler>`

    - #### getName

          public String getName()

      Returns:
        the name

    - #### getContentType

          public String getContentType()

      Returns:
        the contentType

    - #### getFailureCause

          public Throwable getFailureCause()

      Returns:
        the failureCause

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `com.google.web.bindery.event.shared.Event<SaveHandler>`

Copyright © 2015. All Rights Reserved.